Name: xorg-x11-cyrillic-fonts
Version: 2.3.1
Release: alt2
License: distributable
Source: xrus-2.3.1-src.tgz

Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in koi8-r encoding

Packager: Valery V. Inozemtsev <shrek@altlinux.ru>

PreReq: chkfontpath >= 1.4.1, xorg-x11-font-utils

BuildRequires: xorg-x11-libs xorg-x11-font-utils

BuildArch: noarch

%description
Collection of cyrillic raster fonts for X Window System by Andrey A. Chernov.

%prep
%setup -q -n xrus-2.3.1-src

%build
make X11R6

%install
make instX11R6 USERDIR=%buildroot%_x11fontsdir/cyrillic
%__rm -f %buildroot%_x11fontsdir/cyrillic/xrus.info

%post
if [ -f /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi
if [ "$LANG" = "ru_RU.KOI8-R" ]; then
    /usr/sbin/chkfontpath -q --first -a  %_x11fontsdir/cyrillic/100dpi:unscaled
    /usr/sbin/chkfontpath -q --first -a  %_x11fontsdir/cyrillic/75dpi:unscaled
    /usr/sbin/chkfontpath -q --first -a  %_x11fontsdir/cyrillic/misc:unscaled
else
    /usr/sbin/chkfontpath -q -a  %_x11fontsdir/cyrillic/100dpi:unscaled
    /usr/sbin/chkfontpath -q -a  %_x11fontsdir/cyrillic/75dpi:unscaled
    /usr/sbin/chkfontpath -q -a  %_x11fontsdir/cyrillic/misc:unscaled
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %_x11fontsdir/cyrillic/misc:unscaled
	/usr/sbin/chkfontpath -q -r  %_x11fontsdir/cyrillic/75dpi:unscaled
	/usr/sbin/chkfontpath -q -r  %_x11fontsdir/cyrillic/100dpi:unscaled
fi

%files
%doc README.Winitzki xrus.info
%_x11fontsdir/cyrillic

%changelog
* Sun Oct 17 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt2
- fixed requires for xorg-x11-6.8.1-alt8

* Sun Sep 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt1
- initial release

